import { jsonError } from "../../../../common.js";

export async function onRequestPost(context: RequestContext) {
  const { event } = context.data;
  if (event.reached_minimum_player_count)
    return jsonError("This event is already certified", 400);

  const { D1 } = context.env;

  try {
    await D1.batch([
      D1.prepare(
        "UPDATE events SET reached_minimum_player_count = TRUE WHERE id = ?",
      ).bind(event.id),
      D1.prepare(
        "UPDATE et_members SET points = points + 10 WHERE id = ?;",
      ).bind(event.created_by),
    ]);
  } catch (e) {
    console.log(e);

    return jsonError("Failed to complete batch transaction", 500);
  }

  return new Response(null, {
    status: 204,
  });
}
